{% extends 'crud/list.html' %}
{% load crispy_forms_tags %}

{% block content %}

    {% block messages %}
            {% if messages %}
                {% for message in messages %}
                    {% if message.level == DEFAULT_MESSAGE_LEVELS.SUCCESS %}
                    <div id="success-alert" class="alert alert-success" role="alert">
                        {{ message }}
                    </div>
                    {% endif %}
                    <script type="application/javascript">
                        setTimeout(function(){
                            document.getElementById("success-alert").style.display = "none";}, 3000);
                    </script>
                {% endfor %}
    {% endif %}
    {% endblock %}

    {% block page_heading %}
        {{ block.super }}
    {% endblock %}
<div class="card shadow mb-4">
            <div class="card-header py-3">
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th><input id="mass-choice" type="checkbox"></th>
                      <th>Клиент</th>
                      <th>Абонемент</th>
                      <th>Продажа</th>
                      <th>Полная цена</th>
                      <th>Сколько должен</th>
                      <th>Статус</th>
                      <th>Действия</th>
                    </tr>
                  </thead>
                  {% comment %} <tfoot>
                    <tr>
                      <th>#</th>
                      <th>Название</th>
                      <th>Ставка</th>
                      <th>Подушка</th>
                      <th>Дни тренировок</th>
                      <th>Время начала тренировки</th>
                      <th>Длительность тренировки</th>
                      <th>Цега за разовое посещение</th>
                      <th>Действия</th>
                    </tr>
                  </tfoot> {% endcomment %}
                  <tbody>
                  {% for installment in object_list %}
                    <tr>
                      <td><input id="{{ group.id }}" type="checkbox"></td>
                      <td>{{ installment.client }}</td>
                      <td>
                            {% for abon in installment.abonement.all %}
                                {{ abon }}
                            {% endfor %}
                      </td>
                      <td>{{ installment.sale }}</td>
                      <td>{{ installment.full_price }}</td>
                      <td>{{ installment.balance_owed }}</td>
                      <td>{{ installment.is_active }}</td>
                      <td>
                        <a href="{% url 'payments_by_installment_list' %}?installment_id={{ installment.id }}" style="text-decoration: none">
                            <i class="far fa-eye"></i>
                        </a>
                      </td>

                    </tr>

                      {% block create_modal %}
                            <!-- Modal -->
                            <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                              <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                  <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel"> Создать {{ create_name }}</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                      <span aria-hidden="true">&times;</span>
                                    </button>
                                  </div>
                                  <div class="modal-body">
                                      <div id="error-alert" class="alert alert-danger" role="alert" style="display: none">
                                      </div>
                                      <form id="create-form" action="{% url create_url %}" method="post" enctype="multipart/form-data">
                                          {% csrf_token %}
                                          {{ create_form|crispy }}
                                      </form>

                                  </div>
                                  <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
                                    <button type="submit" id="submit_create_form" form="create-form" class="btn btn-primary">Сохранить</button>
                                  </div>
                                </div>
                              </div>
                            </div>
                            <!-- Modal -->
                            {% endblock %}
                  {% endfor %}
                  </tbody>
                </table>

{% endblock %}

{% block custom_includes %}
    {% load static %}
    {{ block.super }}
    <script src="{% static 'custom/js/installments/formLogic.js' %}"></script>
{% endblock %}
